介绍

7+ Taskbar Tweaker 使你能从各个方面，调整 Windows 任务栏。

它提供的大部分选项，则是你无法从调整任务栏属性或者注册表所能达到的。

本软件为 Windows 7/8/8.1/10 设计。

链接

  • 软件主页
  • 错误提交
  • 捐助作者

Copyright © 2009-2017 by RaMMicHaeL. All Rights Reserved. 翻译：horan


更新列表

介绍 ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


调整功能

调整功能分为三个部分：

  • 任务栏程序

用于调控任务栏程序及其相关设定，比如中键/右键点击、悬停，以及拖动。.

  • 分组与合并

禁用分组、允许将按钮程序拖入分组、强制启用/禁用合并，以及更多选项。

  • 其它任务栏选项

提供鼠标滚轮选项、任务栏空白区域点击选项，以及一些其它选项。


任务栏程序

调整功能 ››

术语说明

选项

  • 右键点击
  • 中间点击
  • 拖动至任务栏
  • 鼠标悬停
  • 小窗口预览
  • 锁定程序


右键点击

调整功能 ›› 任务栏程序 ››

用于设定当右键点击任务栏程序时弹出的菜单：

  • 跳转列表（默认）

  • 标准窗口菜单

注意

当按住 Shift 来右键点击，将弹出相反的菜单。


中键点击

调整功能 ›› 任务栏程序 ››

用于设定当中键点击任务栏程序进行的操作：

  • 新建程序副本（默认）
  • 显示
  • 最小化
  • 关闭


拖动至任务栏

调整功能 ›› 任务栏程序 ››

用于设定当把文件拖动至任务栏程序时进行的操作：

  • 锁定（默认）

  • 用程序打开

注意

按住 Shift 来拖动，将会进行相反的操作。


鼠标悬停

调整功能 ›› 任务栏程序 ››

用于设定当鼠标悬停在任务栏程序上时，显示的预览：

  • 显示小窗口预览（默认）

  • 列表

  • 提示

  • 什么也不做


小窗口预览

调整功能 ›› 任务栏程序 ››

拖动排序

允许你通过拖动小窗口预览，对它们进行排序。

注意

在一般情况下，对小窗口预览进行排序时，会同时对按钮程序进行排序，但这并不是绝对的。当程序使用自带的小窗口预览时（比如显示各个选项卡的 IE），小窗口预览和按钮程序之间并没有关系，因此排序也不会影响到彼此。

左键点击小窗口预览时将对应窗口最小化

设定后，点击小窗口预览时，将会把其对应窗口最小化。


锁定程序

调整功能 ›› 任务栏程序 ››

移除程序间的额外空位

减少锁定程序之间的间隔。.

启用前

启用后

注意

当任务栏设为垂直时，该选项无效。

用双击打开

使锁定程序需要通过双击来运行，而不是单击。

此选项将有助减少意外点击时所运行的锁定程序。


分组与合并

调整功能 ››

术语说明

选项

  • 分组
  • 合并
  • 左键点击合并的程序


分组

调整功能 ›› 分组与合并 ››

从 Windows 7 开始，每个程序窗口拥有了一个程序 ID。如果程序本身没有定义，默认的程序 ID 由 ImagePath 决定。

在默认的情况下，任务栏按钮程序按照其窗口的程序 ID 分组。此选项允许你对此进行改动。

  • 按程序 ID 分组（默认）

  • 不分组

注意

可以通过 任务栏监控插件 控制每个程序 ID 来分组。

当不分组时，把新的程序放在已有的边上

当分组功能被禁用时，新建的任务栏按钮程序将显示在整个任务栏的末尾。而此选项能让它们显示在它们本该同一分组的程序边上。

举个例子，当你打开第二个记事本窗口，默认的情况如下：

禁用分组时，如下：

禁用分组，并勾选该选项时，如下：

不将已锁定程序分组

每个锁定程序都有程序 ID，类似按钮程序。在默认的情况下，当新建一个与锁定程序拥有相同程序 ID 的按钮程序时，它将替代锁定程序。此选项使新建的按钮程序显示在任务栏的末尾，而不影响原先的锁定程序。

举个例子，当你把记事本锁定到任务栏时：

在默认的情况下，当你新建一个记事本窗口时：

而当你启用此选项时：

注意

可以通过 任务栏监控插件 控制每个程序 ID 来分组。

用鼠标右键在分组之间拖动

此选项允许你用右键点击按钮程序，拖动改变其位置：

  • 当在分组内拖动时，将改变该分组内的按钮程序位置。（译者注：启用合并后无效）
  • 当把按钮程序拖向分组时，该分组将把它也包括进去。
  • 当把分组中项目拖出任务列表，这将让该按钮程序加入一个新建的分组。（译者注：启用合并后无效）


合并

调整功能 ›› 分组与合并 ››

按钮程序的分组是否合并，在任务栏属性中可以设置。

而此选项允许你对其进行调整：

  • 使用任务栏设定（默认）

始终合并，隐藏标签时：

从不合并时：

  • 将分组程序合并

始终合并，隐藏标签时：

与默认情况相同。

从不合并时：

  • 不合并分组程序

始终合并，隐藏标签时：

从不合并时：

与默认情况相同。

注意

  • 当在任务栏属性中选定“当任务栏被占满时合并”，本程序的此选项将不起任何作用。
  • 可以通过 任务栏监控插件 控制每个程序 ID 来分组。

拆分

这些选项将使合并的分组在遇到特殊事件时得以拆分：

  • 未最小化的分组

当分组的某个窗口不再最小化/被激活时，该分组被拆分。

  • 鼠标悬停时

当鼠标悬停在某个合并分组时，该分组被拆分。

同时显示标签

设定后，上面的选项将使被拆分的每个按钮程序显示其标签。


左键点击合并的程序

调整功能 ›› 分组与合并 ››

用于设定左键点击合并的程序进行的操作：

  • 打开小窗口预览（默认）
  • 在窗口间循环
  • 程序全部最小化时打开最后窗口，否则打开小窗口预览

如果合并分组中的全部程序都被最小化了，则切换至最后打开的窗口。

否则打开小窗口预览。

Note

Hold Ctrl while left clicking a combined group to get the other action.


其它任务栏选项

调整功能 ››

选项

  • 鼠标滚轮
  • 双击/中键点击空白区域
  • 其它


鼠标滚轮

调整功能 ›› 其它任务栏选项 ››

在按钮程序间循环

设置该选项后，当用鼠标滚轮在任务列表上滚动时，窗口将在按钮程序间循环显示。

跳过最小化的窗口

设置该选项后，最小化的窗口将不参与循环。

在鼠标悬停时最小化/恢复窗口

这些选项将允许当鼠标悬停在以下程序上时，通过鼠标滚轮来最小化/恢复程序窗口：

  • 按钮程序
  • 小窗口预览

当鼠标悬停时控制音量

设置该选项后，当鼠标在以下特定区域滑动滚轮，可以达到控制音量的目的：

  • 任务栏
  • 通知区域

附加功能

只要选中以上任意一个选项，中键点击音量控制图标，就可以达到禁音/恢复的目的。


双击/中键点击空白区域

调整功能 ›› 其它任务栏选项 ››

这些选项将针对任务列表的空白区域。

在默认的情况下，在空白区域中键点击或者双击鼠标没有任何效果。

这些选项将允许你选择进行以下操作：

  • 什么也不做（默认）
  • 显示桌面
  • Ctrl+Alt+Tab
  • 任务管理器
  • 任务栏监控插件
  • 设置禁音
  • 使任务栏自动隐藏
  • Win+Tab / Ctrl+Win+Tab
  • “开始”菜单/“开始”屏幕


其它

调整功能 ›› 其它任务栏选项 ››

隐藏“开始”按钮

把“开始”按钮进行隐藏。

在 Windows 7 中，点击原先“开始”按钮所在的角落，来打开“开始”菜单。

在 Windows 8.1 中，点击屏幕的左下方角落，来打开“开始”屏幕。

显然，在 Windows 8 中默认是没有“开始”按钮的，所以该选项不起作用。

启用前

启用后

隐藏“显示桌面”按钮

隐藏在任务栏末尾的“显示桌面”按钮。

启用前（按下）

启用后

显示托盘时钟的秒针

除了显示时针和分针外，在托盘时针上显示秒针。

预留任务栏的空白区域

本程序已有 双击/中键点击空白区域 的选项，当任务栏没有被程序占满时，它们能够顺利工作。此选项将在任务列表末尾预留一段空白，以方便空白处的双击/中间点击。

启用前

启用后


任务栏监控插件

任务栏监控插件基本上就是任务栏程序的列表。当程序被任务栏分组时，在这个列表中也根据其程序 ID 进行分组。

注意

当按住 Ctrl+Shift 打开任务栏监控插件时，即使丢失焦点，该窗口也会保持打开。此时按下 Escape 即可关闭。

程序 ID

每个顶头/未缩进的项目，将会带着箭头样式的图标，这代表着一个程序 ID。

一个程序 ID 可能含有缩进的子项目，这代表着任务栏上的程序。

对于锁定程序，程序 ID 将不再含有子项目。

对于按钮程序，程序 ID 将仅有一个子项目。

对于分组的按钮程序，程序 ID 将拥有多个子项目。

双击程序 ID 将会选择它的子项目。

右键点击程序 ID 将会打开以下选项：

  • 显示文字
  • 分组

详细了解 分组 。

  • 锁定分组程序

详细了解 锁定分组程序 。

  • 合并

详细了解 合并 。

  • 分组程序排序（仅当多个项目被选中时）

按名称排序子项目。

按钮程序

列表中缩进的项目代表着按钮程序。

拖曳按钮程序可以调整它在分组中的排序。

右键点击按钮程序将会打开以下选项：

  • 更改程序 ID

更改被选中的按钮程序对应窗口的程序 ID。

对于可选的程序 ID，还包括以下更为详细的两类：

    • random_group_[数字]

把当前窗口的程序 ID 更改成程序随机生成的。

即使没有使用分组功能，这些由程序随机生成程序 ID 的按钮程序也将划在一个分组。这样一来，就能轻松分组多个不同项目。

    • （恢复）

把窗口当前的程序 ID 恢复成该进程默认的。

  • 层叠（仅当多个项目被选定时）
  • 堆叠显示窗口（仅当多个项目被选定时）
  • 并排显示窗口（仅当多个项目被选定时）
  • 恢复
  • 最小化
  • 最大化
  • 关闭


设置

随开机启动

用于设定本程序是否随 Windows 启动而运行。

注意

这个设置将在以下注册表分支创建 7 Taskbar Tweaker 的字符串。

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

该字符串包含本软件的执行路径，并跟随 -hidewnd 的命令行开关。

检查更新

设置后本软件将自动检查更新。

当有新版本可用时，任务栏图标将显示绿色箭头，并伴随气球提示。

当你点击气球提示后，将打开更新对话框。这将允许你一键更新到新的版本。

你也可以查看更新列表，并关闭该版本的更新提示。

注意

本软件每 24 小时将检查一次更新。

Update automatically

When set, the tweaker updates automatically in the background once a new version is available.

隐藏任务栏图标

设置后，本软件的任务栏图标将隐藏起来。

当任务栏图标隐藏时，再次运行本软件将显示主页面。

你需要让任务栏图标显示，才能退出本程序。

左键点击任务栏图标时打开：

用于选择当左键点击任务栏图标时，打开下面哪个对话框：

  • 7+ Taskbar Tweaker 主程序
  • 任务栏监控插件

语言：

用于选择界面的语言。

注意

如果想得知如何把本软件翻译成您的母语，请阅读 在线问答 。


高级

7+ Taskbar Tweaker 的高级选项提供了更多的自定义方式。

你可以使用高级选项编辑器来进行这些自定义。

你可以从任务栏托盘的右键菜单，或者从主程序的系统菜单打开它。


扩展设定

高级 ››

这些高级设定能让你调整软件运行的一些细节。

字符串

名称

数据

always_show_thumb_labels

在默认的情况下，只有当按钮程序的标签未被显示，才会显示小窗口预览的标签。这个选项将一直显示小窗口预览的标签，无论按钮程序的标签是否显示。

0 - 失效（默认），1 - 生效。

always_show_tooltip

By default, when hovering over a taskbar item, a tooltip is shown only if the text doesn't fit the button. This options forces the tooltip to be always shown.

0 - Disabled (default)

1 - Enabled

cycle_same_virtual_desktop

Fixes the Left click on combined item option to cycle only through windows that belong to the current virtual desktop. The option affects only Windows 10, until Windows 10 Anniversary Update, where the bug was fixed.

0 - Disabled (default)

1 - Enabled

disable_items_drag

This options disables the drag operation of taskbar items on the task list. That means that reordering of items is no longer possible, and the jump list does not show up when dragging an item towards the desktop.

0 - Disabled (default)

1 - Enabled

disable_taskbar_transparency

This options allows to disable the taskbar transparency.

0 - No change (default)

1 - Disable transparency

2 - Disable transparency, and use basic theme for taskbar color (Windows 7)

disable_topmost

By default, the taskbar is always on top. This option allows you to disable this behavior.

0 - Always on top (default)

1 - Not always on top, but not overlapped by maximized windows

2 - Not always on top, and overlapped by maximized windows

disable_tray_icons_drag

This options disables the drag operation of notification area items. That means that reordering of items is no longer possible.

0 - Disabled (default)

1 - Enabled

drag_towards_desktop

在默认的情况下，当你把任务栏程序拖向桌面时，将会出现跳转列表。这个选项将允许你选择以下的替代功能。

0 - 跳转列表（默认）

1 - 失效

2 - 切换至

3 - 最小化

4 - 关闭

5 - 新建程序副本

6 - 显示小窗口预览

fix_hang_reposition

由于 Windows 本身的问题，当挂起的窗口恢复正常时，它的按钮可能消失并重新出现在任务栏的末尾。这个选项将修复这个问题。

0 - 失效，1 - 生效（默认）。

list_reverse_order

When setting the Hovering option to List, newer items are displayed below the older ones. This option allows you to reverse the displaying order of items in the list.

The option only works for Windows 7, Windows 8, and Windows 8.1.

0 - Disabled (default)

1 - Enabled

multipage_wheel_scroll

当任务栏上的程序太多时，会产生新的一页并显示滚动条。这个选项将允许你通过鼠标滚轮来选择任务栏页面。

0 - 失效（默认）， 1 - 生效。

multirow_equal_width

When using a taskbar with multiple rows, this option forces the items on every row to have the same width. Note that the option has no effect when there are grouped, combined, or pinned items on the taskbar.

0 - Disabled (default)

1 - Enabled

no_start_btn_spacing

When the Hide the Start button option is enabled, this option allows you to control the spacing between the taskbar edge and the task list. The default spacing size is 13 pixels for Windows 7 and Windows 8.1, and is zero for Windows 10.

0 - Disabled (default)

Nonzero - The spacing size, in pixels

no_width_limit

By default, Windows limits the minimum width of the vertical taskbar. The limit might seem too restrictive for some, so this option removes it.

0 - disabled (default), 1 - enabled.

nocheck_minimize

nocheck_maximize

nocheck_close

在默认的情况下，在 最小化/最大化/关闭 一个窗口前，本软件将会检查该窗口是否支持此操作。这个选项将让你不再进行这样的检查。注意，这可能会导致预期之外的行为。

影响范围：鼠标中键点击、鼠标滚轮最小化、任务栏监控

0 - 失效（默认），1 - 生效。

pinned_ungrouped_animate_launch

当设定 不将已锁定程序分组 时，点击已锁定程序的动画效果将不再显示。这个选项将还原动画效果。

0 - 失效（默认），1 - 生效。

right_drag_toggle_labels

Adds an extra feature to the Drag within/between groups using right mouse button option. When this option is set, scrolling the mouse wheel while holding the right mouse button will show/hide the label of the hovered taskbar button's Application ID.

0 - Disabled (default)

1 - Enabled

scroll_maximize_restore

Extends the Minimize/restore when mouse is over: ... option to switch between minimize/restore/maximize.

0 - Disabled (default)

1 - Enabled

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

颠倒 在按钮程序间循环 的顺序。

在默认的情况下，向下滚动鼠标滚轮将会循环至任务列表的右侧，向上滚动则会循环至左侧。这个选项将会颠倒循环顺序。

0 - 失效（默认），1 - 生效。

scroll_reverse_minimize

颠倒 在鼠标悬停时最小化/恢复窗口 的顺序。

在默认的情况下，向下滚动鼠标滚轮将会最小化窗口，向上滚动则会恢复它（除非任务栏位于屏幕顶端）。这个选项将会颠倒两者顺序。

0 - 失效（默认），1 - 生效。

show_desktop_button_size

Allows to customize the size of the "Show desktop" button.

Default size: 15 pixels for Windows 7 and Windows 8, 8 pixels for Windows 8.1, 5 pixels for Windows 10.

0 - Disabled (default)

Nonzero - The button size, in pixels

show_desktop_on_hover

This option makes the taskbar to show desktop when a file is dragged over the empty space of the task list, similarly to the way it works with the show desktop button. This functionality is similar to the way it worked with Windows XP.

0 - Disabled (default)

1 - Enabled

sndvol_tooltip

音量控制 的选项把 Winodows 音量控制程序作为通知对待。这个选项将把它作为提示来对待。

0 - 失效（默认），1 - 生效。

tray_clock_fix_width

（当使用小图标时）即使未显示日期，托盘时钟的宽度也会同时计算日期以及时间文字。这个选项将修复这个问题，这样在仅显示时间时，日期文字将不再计入时钟宽度。

The bug was officially fixed in Windows 10 Anniversary Update.

0 - 失效（默认），1 - 生效。

tray_icons_padding

Allows to customize the horizontal padding between icons in the notification area.

Until Windows 10: The default horizontal padding is 8 pixels. The option allows to set a different padding size, in pixels.

Note: in early versions of Windows (e.g. Windows XP), the padding was equal to 2 pixels.

Since Windows 10: The option allows to increase the default horizontal padding size between icons, using an internal padding calculation algorithm.

0 - Disabled (default)

Nonzero - The horizontal padding size

virtual_desktop_order_fix

Windows 10 introduces the virtual desktops feature, but it has a limitation: custom reordering of the taskbar buttons on the task list is not preserved between virtual desktop switches. This option causes explorer to preserve the custom order.

0 - Disabled (default)

1 - Enabled

w10_large_icons

When using large icons, their size was 32x32 on earlier Windows versions. On Windows 10, the default size is 24x24. This option allows to have 32x32 sized icons again.

0 - Disabled (default)

1 - Enabled

w7_show_desktop_classic_corner

Fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.

0 - Disabled (default)

1 - Enabled

w7_tasklist_htclient

在默认的情况下，即使锁定任务栏，Windows 7 的任务栏也设计为可动控制。这将阻止其接收左键点击通知，从而无法被 鼠标按键控制 自定义。这个选项将使任务栏在锁定时转为静态控制，这样一来就可以进行自定义。注意：在 Windows 8 中，任务栏没有这个问题，因此该选项将无法生效。

0 - 失效（默认），1 - 生效。


鼠标按键控制

高级 ››

这些设定将允许你把不一样的鼠标按键事件映射到任务栏的动作上。

请注意，这些设定的优先级要比普通设定更低。

数值名称

数值名称定义了目标对象、鼠标点击事件，以及修饰键。

目标对象

目前，支持以下对象：

  • taskbaritem - 任务栏程序。
  • emptyspace - 任务栏空白区域。
  • volumeicon - the volume/speakers notification icon.
  • showdesktop - the "Show desktop" button.

鼠标点击事件

以下其一：

  • lclick - 单击左键。
  • ldblclick - 双击左键。
  • rclick - 单击右键。
  • rdblclick - 双击右键。
  • mclick - 单击中键。
  • mdblclick - 双击中键。
  • x1click - 单击第四键位。
  • x1dblclick - 双击第四键位。
  • x2click - 单击第五键位。
  • x2dblclick - 双击第五键位。

第四、第五键位针对的是拥有五个按键的鼠标。

修饰键

以下单个或多个：

  • ctrl
  • shift

组合起来

最终的数值名称就像这样：

目标对象|鼠标点击事件+修饰键1+修饰键2

举例如下:

  • taskbaritem|ctrl+shift+lclick - 按下 ctrl 和 shift 时，用鼠标左键点击任务栏上的程序。
  • emptyspace|x1dblclick - 用鼠标第四键位双击任务栏的空白区域。

数值数据

数值数据定义了鼠标点击事件所映射的动作。

数值数据的意义因目标对象而有所不同。

taskbaritem

  • 1 - 显示
  • 2 - 最小化
  • 3 - 关闭
  • 4 - 新建实例
  • 5 - 跳转列表
  • 6 - 标准菜单
  • 7 - 显示小窗口预览
  • 8 - Terminate process
  • 9 - Minimize all group items
  • 10 - Close all group items
  • 11 - Maximize all group items
  • 12 - Restore all group items
  • 13 - Maximize
  • 14 - Restore
  • 15 - Alphabetically sort group items

emptyspace

volumeicon

showdesktop

  • 1 - 显示桌面
  • 2 - Ctrl+Alt+Tab
  • 3 - 任务管理器
  • 4 - 任务栏监控
  • 5 - 设置静音
  • 6 - 使任务栏自动隐藏
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - “开始”菜单/“开始”屏幕
  • 101 - 切换至任务栏上当前窗口左侧的窗口。
  • 102 - 切换至任务栏上当前窗口右侧的窗口。
  • 103 - 与 101 相同，并跳过最小化窗口。
  • 104 - 与 102 相同，并跳过最小化窗口。

举例如下

  • taskbaritem|ctrl+shift+lclick - 3 - 按下 ctrl 和 shift 时，用鼠标左键单击任务栏上的程序，将关闭该窗口。
  • emptyspace|x1dblclick - 1 - 用鼠标第四键位双击任务栏的空白区域，将显示桌面。


热键

高级 ››

这些设定将允许你把热键映射至任务栏。

数值名称

数值名称定义了快捷键以及修饰键。

快捷键

快捷键用虚拟键值表示。

它可以是十进制或者十六进制，后者需用“0x”作为前缀。

完整的虚拟键值列表可以在 微软网站 上查看。

修饰键

以下单个或多个：

  • alt
  • ctrl
  • shift
  • win
  • norepeat - 当按键持续按下时，防止系统发送多个通知。

组合起来

最终的数值名称就像这样：

快捷键|修饰键1+修饰键2

举例如下：

  • 0x27|ctrl+shift - Ctrl+Shift+右键。
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A。即使长时间按住也仅触发一次。

数值数据

数值数据定义了热键按下时所执行的操作。

  • 1 - 显示桌面
  • 2 - Ctrl+Alt+Tab
  • 3 - 任务管理器
  • 4 - 任务栏监控插件
  • 5 - 设置静音
  • 6 - 设置任务栏自动隐藏
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - “开始”菜单/“开始”屏幕
  • 101 - 切换至任务栏上当前窗口左侧的窗口。
  • 102 - 切换至任务栏上当前窗口右侧的窗口。
  • 103 - 与 101 相同，并跳过最小化窗口。
  • 104 - 与 102 相同，并跳过最小化窗口。

举例如下

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+左 向左循环按钮程序，并跳过最小化窗口。
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+右 向右循环按钮程序，并跳过最小化窗口。
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A 打开任务栏监控插件。即使长时间按住也仅触发一次。